Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions
any.hpp File Reference

## Classes
struct | ranges::any
struct | ranges::bad_any_cast

## Functions
template<typename T >
meta::if_c< std::is_reference< T >)||copyable< T >, T > | ranges::any_cast (any &&x)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
meta::if_c< std::is_reference< T >)||copyable< T >, T > | ranges::any_cast (any &)
template<typename T >
T * | ranges::any_cast (any *p) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
meta::if_c< std::is_reference< T >)||copyable< T >, T > | ranges::any_cast (any const &x)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
T const * | ranges::any_cast (any const *p) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Function Documentation

## ◆ any_cast()

template<typename T >

meta::if_c< std::is_reference< T >)||copyable< T >, T > ranges::any_cast | ( | any & | x | ) |

Exceptions

  bad_any_cast |

Referenced by ranges::any_cast().